ompi/mca/pml/teg/pml_teg_recvreq.h File Reference.TH "ompi/mca/pml/teg/pml_teg_recvreq.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/teg/pml_teg_recvreq.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'pml_teg.h'\fP
.br
\fC#include 'pml_teg_proc.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_recvreq.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_recvfrag.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PML_TEG_RECV_REQUEST_ALLOC\fP(recvreq, rc)"
.br
.RI "\fIAllocate a recv request from the modules free list. \fP"
.ti -1c
.RI "#define \fBMCA_PML_TEG_RECV_REQUEST_INIT\fP(request,addr,count,datatype,src,tag,comm,persistent)"
.br
.RI "\fIInitialize a recv request. \fP"
.ti -1c
.RI "#define \fBMCA_PML_TEG_RECV_REQUEST_RETURN\fP(request)"
.br
.RI "\fIReturn a recv request to the modules free list. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_base_recv_request_t\fP \fBmca_pml_teg_recv_request_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_pml_teg_recv_request_t\fP)"
.br
.ti -1c
.RI "void \fBmca_pml_teg_recv_request_match_wild\fP (\fBmca_ptl_base_recv_request_t\fP *request)"
.br
.RI "\fIAttempt to match the request against the unexpected fragment list for all source ranks w/in the communicator. \fP"
.ti -1c
.RI "void \fBmca_pml_teg_recv_request_match_specific\fP (\fBmca_ptl_base_recv_request_t\fP *request)"
.br
.RI "\fIAttempt to match the request against the unexpected fragment list for a specific source rank. \fP"
.ti -1c
.RI "static int \fBmca_pml_teg_recv_request_start\fP (\fBmca_ptl_base_recv_request_t\fP *request)"
.br
.RI "\fIStart an initialized request. \fP"
.ti -1c
.RI "void \fBmca_pml_teg_recv_request_progress\fP (struct \fBmca_ptl_base_module_t\fP *ptl, \fBmca_ptl_base_recv_request_t\fP *request, size_t bytes_received, size_t bytes_delivered)"
.br
.RI "\fIUpdate status of a recv request based on the completion status of the receive fragment. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PML_TEG_RECV_REQUEST_ALLOC(recvreq, rc)"
.PP
\fBValue:\fP
.PP
.nf
do {                                                              \
        opal_list_item_t* item;                                       \
        OMPI_FREE_LIST_GET(&mca_pml_teg.teg_recv_requests, item, rc); \
        recvreq = (mca_ptl_base_recv_request_t*)item;                 \
    } while(0)
.fi
Allocate a recv request from the modules free list. 
.PP
\fBParameters:\fP
.RS 4
\fIrc\fP (OUT) OMPI_SUCCESS or error status on failure. 
.RE
.PP
\fBReturns:\fP
.RS 4
Receive request. 
.RE
.PP

.SS "#define MCA_PML_TEG_RECV_REQUEST_INIT(request, addr, count, datatype, src, tag, comm, persistent)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                     \
    MCA_PML_BASE_RECV_REQUEST_INIT(                                   \
        (&(request)->req_recv),                                       \
        addr,                                                         \
        count,                                                        \
        datatype,                                                     \
        src,                                                          \
        tag,                                                          \
        comm,                                                         \
        persistent                                                    \
    );                                                                \
}
.fi
Initialize a recv request. 
.PP
.SS "#define MCA_PML_TEG_RECV_REQUEST_RETURN(request)"
.PP
\fBValue:\fP
.PP
.nf
do {                                                                                   \
        MCA_PML_BASE_RECV_REQUEST_FINI( &request->req_recv );                              \
        OMPI_FREE_LIST_RETURN(&mca_pml_teg.teg_recv_requests, (opal_list_item_t*)request); \
    } while(0)
.fi
Return a recv request to the modules free list. 
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP (IN) Receive request. 
.RE
.PP

.SH "Function Documentation"
.PP 
.SS "void mca_pml_teg_recv_request_match_specific (\fBmca_ptl_base_recv_request_t\fP * request)"
.PP
Attempt to match the request against the unexpected fragment list for a specific source rank. 
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP (IN) Request to match. 
.RE
.PP

.SS "void mca_pml_teg_recv_request_match_wild (\fBmca_ptl_base_recv_request_t\fP * request)"
.PP
Attempt to match the request against the unexpected fragment list for all source ranks w/in the communicator. 
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP (IN) Request to match. 
.RE
.PP

.SS "void mca_pml_teg_recv_request_progress (struct \fBmca_ptl_base_module_t\fP * ptl, \fBmca_ptl_base_recv_request_t\fP * request, size_t bytes_received, size_t bytes_delivered)"
.PP
Update status of a recv request based on the completion status of the receive fragment. 
.PP
\fBParameters:\fP
.RS 4
\fIptl\fP (IN) The PTL pointer. 
.br
\fIrequest\fP (IN) Receive request. 
.br
\fIbytes_received\fP (IN) Bytes received from peer. 
.br
\fIbytes_delivered\fP (IN) Bytes delivered to application. 
.RE
.PP

.SS "static int mca_pml_teg_recv_request_start (\fBmca_ptl_base_recv_request_t\fP * request)\fC [inline, static]\fP"
.PP
Start an initialized request. 
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP Receive request. 
.RE
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCESS or error status on failure. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
